Name:          bison
Version:       3.7.4
Release:       1mamba
Summary:       A GNU general-purpose parser generator
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/bison/bison.html
Source:        ftp://ftp.gnu.org/pub/gnu/bison/bison-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: gettext-devel
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
## AUTOBUILDREQ-END
BuildRequires: m4
Requires:      m4
Requires(post):%{__install_info}
%if "%{?stage1}" != "1"
BuildRequires: valgrind
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Bison is a general purpose parser generator which converts a grammar description for an LALR context-free grammar into a C program to parse that grammar.
Bison can be used to develop a wide range of language parsers, from ones used in simple desk calculators to complex programming languages.
Bison is upwardly compatible with Yacc, so any correctly written Yacc grammar should work with Bison without any changes.
If you know Yacc, you shouldn't have any trouble using Bison (but you do need to be very proficient in C programming to be able to use Bison).
Many programs use Bison as part of their build process.
Bison is only needed on systems that are used for development.

If your system will be used for C development, you should install Bison since it is used to build many C programs.

%prep
%setup -q

%build
%configure --disable-rpath
%make
%ifnarch arm
#% if "%{_host}" == "%{_build}"
#% make check
#% endif
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}
%find_lang %{name}-runtime
%find_lang %{name}-gnulib
cat %{name}-runtime.lang %{name}-gnulib.lang >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info
:

%preun
%uninstall_info %{name}.info
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/bison
%{_bindir}/yacc
%dir %{_datadir}/bison
%{_datadir}/bison/*
%{_datadir}/aclocal/bison-i18n.m4
%{_libdir}/liby.a
%{_infodir}/bison.info.*
%{_mandir}/man1/bison.*
%{_mandir}/man1/yacc.*
%dir %{_docdir}/bison
%{_docdir}/bison/*
%doc AUTHORS COPYING
# ChangeLog NEWS README THANKS TODO

%changelog
* Sat Nov 14 2020 Automatic Build System <autodist@mambasoft.it> 3.7.4-1mamba
- automatic version update by autodist

* Tue Oct 13 2020 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic version update by autodist

* Sun Aug 02 2020 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Tue Jun 16 2020 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Tue May 19 2020 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Fri May 08 2020 Automatic Build System <autodist@mambasoft.it> 3.6-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Automatic Build System <autodist@mambasoft.it> 3.5.4-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- automatic version update by autodist

* Thu Feb 13 2020 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Sun Jan 19 2020 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Thu Dec 12 2019 Automatic Build System <autodist@mambasoft.it> 3.5-1mamba
- automatic version update by autodist

* Fri Sep 13 2019 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-1mamba
- update to 3.4.1

* Mon May 27 2019 Automatic Build System <autodist@mambasoft.it> 3.4-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Thu Dec 27 2018 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic version update by autodist

* Wed Dec 19 2018 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Thu Nov 22 2018 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Tue Aug 28 2018 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Tue May 29 2018 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Tue Jan 27 2015 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Sat Jan 17 2015 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Fri Jul 26 2013 Automatic Build System <autodist@mambasoft.it> 3.0-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Thu Dec 13 2012 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 2.6.5-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic version update by autodist

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Fri Aug 03 2012 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Mon Jul 30 2012 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Fri Jul 20 2012 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Wed Jun 06 2012 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Sun May 15 2011 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic update by autodist

* Mon Aug 09 2010 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update to 2.4.3 by autodist

* Mon Mar 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- update to 2.4.2

* Fri Dec 12 2008 Silvan Calarco <silvan.o at mambasoft.it> 2.4.1-1mamba
- automatic update to 2.4.1 by autodist

* Mon Nov 03 2008 Silvan Calarco <silvan.o at mambasoft.it> 2.4-1mamba
- automatic update to 2.4 by autodist

* Mon May 05 2008 Aleph0 <aleph0 at openmamba.org> 2.3a-1mamba
- specfile updated

* Wed Jun 07 2006 Davide Madrisan <davide.n at qilinux.it> 2.3-1qilnx
- update to version 2.3 by autospec

* Mon May 22 2006 Davide Madrisan <davide.n at qilinux.it> 2.2-1qilnx
- update to version 2.2 by autospec

* Tue Sep 20 2005 Davide Madrisan <davide.n at qilinux.it> 2.1-1qilnx
- update to version 2.1 by autospec

* Wed Aug 31 2005 Davide Madrisan <davide.n at qilinux.it> 1.875-4qilnx
- specfile fixes

* Fri Aug 06 2004 Silvan Calarco <silvan.o at mambasoft.it> 1.875-3qilnx
- added a missing '#' at the beginning of /usr/bin/yacc

* Fri Mar 05 2004 Silvan Calarco <silvan.o at mambasoft.it> 1.875-2qilnx
- attribute patch applied, fix compilation problems with some packages

* Tue Nov 18 2003 Silvan Calarco <silvan.o at mambasoft.it> 1.875-1qilnx
- new version rebuild

* Mon Apr 16 2003 Silvan Calarco <silvan.o at qinet.it> 1.35-3qilnx
- removed Prefix declaration
- removed /usr/share/info/dir

* Mon Apr 14 2003 Alessandro Ramazzina <alessandro.a at qinet.it>
- creation of bison package
